%global debug_package %{nil}

%global enable_doc 1

%global nagios_bindir %{_libdir}/nagios/plugins
%global arc_spooldir %{_localstatedir}/spool/arc
%global pkg_spooldir %{arc_spooldir}/nagios
%global pkg_sysconfdir %{_sysconfdir}/arc/nagios

Name:		nordugrid-arc-nagios-plugins
Version:	2.0.1
Release:    1%{?dist}
Summary:	Nagios plugins for ARC

License:	Apache-2.0
URL:		https://www.nordugrid.org
Source0:	https://download.nordugrid.org/packages/%{name}/releases/%{version}/src/%{name}-%{version}.tar.gz

Requires:	nordugrid-arc-client >= 1.0.0
Requires:	python%{python3_pkgversion}-cryptography
Requires:	python%{python3_pkgversion}-jinja2
Requires:	python%{python3_pkgversion}-ldap3
Requires:	nagios-common
Requires:	glue-schema >= 2.0.8
BuildRequires:	make
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
%if %{enable_doc}
BuildRequires:	/usr/bin/sphinx-build
%endif

%description
This package provides the Nagios plugins for testing ARC computing element.

%if %{enable_doc}
%package doc
Summary:	HTML documentation for the ARC Nagios plugins
BuildArch:	noarch

%description doc
HTML documentation for the ARC Nagios plugins.
%endif

%package egi
Summary:	EGI configuration and dependencies for the ARC Nagios plugins
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description egi
EGI configuration and dependencies for the ARC Nagios plugins.

%prep
%setup -q

%build
%py3_build
%if %{enable_doc}
make -C doc html
rm -f doc/_build/html/.buildinfo
%endif

%install
%py3_install

install -m755 -d %{buildroot}%{pkg_spooldir}

%files
%dir %{pkg_sysconfdir}
%dir %{pkg_sysconfdir}/20-dist.d
%config(noreplace) %{pkg_sysconfdir}/20-dist.ini
%config(noreplace) %{pkg_sysconfdir}/20-dist.d/default.xrsl.j2
%{nagios_bindir}/check_arcce_clean
%{nagios_bindir}/check_arcce_monitor
%{nagios_bindir}/check_arcce_submit
%{nagios_bindir}/check_aris
%{nagios_bindir}/check_egiis
%{nagios_bindir}/check_arcservice
%{nagios_bindir}/check_gridstorage
%{python3_sitelib}/arcnagios
%{python3_sitelib}/nordugrid_arc_nagios_plugins-*.egg-info
%dir %{arc_spooldir}
%attr(-,nagios,nagios) %{pkg_spooldir}
%license LICENSE NOTICE
%doc AUTHORS README.rst
%doc doc/arcnagios.ini.example
%doc doc/services.cfg.example

%if %{enable_doc}
%files doc
%doc doc/_build/html
%license LICENSE NOTICE
%endif

%files egi
%dir %{pkg_sysconfdir}/60-egi.d
%config(noreplace) %{pkg_sysconfdir}/60-egi.ini
%config(noreplace) %{pkg_sysconfdir}/60-egi.d/arcce_igtf.py*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-1
- initial build
